Subject: Re: bug#9006: 24.0.50; Abort in unshow_buffer/kill-buffer

From: martin rudalics <[email-masked]>
Date: Wed, 06 Jul 2011 11:25:07 +0200

> I was editing a mail in Gnus when Emacs aborted; full backtrace is
 > below.  This happened with all my initialization and customizations, and
 > going by the Lisp backtrace, seems to involve a third-party library I
 > use, tabbar.el.  I had a similar crash yesterday, when I wasn't running
 > under gdb.  In both case Emacs had been running for over 12 hours and
 > seemed quite sluggish.  Just before the abort I had been deleting text,
 > moving point, and Emacs got less and less responsive, so I typed C-g and
 > that's when the abort happened.
 >
 > #0  abort () at /home/steve/bzr/emacs/quickfixes/src/emacs.c:375
 > No locals.
 > #1  0x080a7257 in unshow_buffer (w=0x97ecc40)
 >     at /home/steve/bzr/emacs/quickfixes/src/window.c:1397
 >         buf = 184854789
 >         b = 0xb04a900

There's a comment about a similar case in xdisp.c

   /* Make the echo area buffer current.  Note that for display
      purposes, it is not necessary that the displayed window's buffer
      == current_buffer, except for text property lookup.  So, let's
      only set that buffer temporarily here without doing a full
      Fset_window_buffer.  We must also change w->pointm, though,
      because otherwise an assertions in unshow_buffer fails, and Emacs
      aborts.  */

but I can't find a useful hint in the backtrace.  I don't even
understand why a buffer should get killed here.

martin